classification
Title: Teach IDLE's open-module command to find packages
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ned.deily, python-dev, rhettinger, terry.reedy
Priority: normal Keywords: easy

Created on 2011-03-30 00:23 by rhettinger, last changed 2011-04-13 02:02 by rhettinger. This issue is now closed.

Messages (4)
msg132560 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-03-30 00:23
The open-module command is a fast effective way to examine source code regardless of where it sits on sys.path; however, it gets lost when seeking a package name.  Instead of aborting, it could bring-up the __init__.py file.

For example, "open-module unittest" or "open-module collections" which both used to work before they became packages could open Lib/unittest/__init__.py and Lib/collections/__init__.py.
msg132781 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-04-02 00:26
I strongly agree. This would make it easy to see modules of 3rd party packages loaded, for instance, in site-packages. Once pack/__init__.py is opened, selecting File/Open in its edit window displays the package directory.

Dotted names work, but must be remembered
msg133632 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-13 01:35
New changeset 27eda70c25b1 by Raymond Hettinger in branch '3.2':
Issue 11718: Teach IDLE's open module dialog to find packages.
http://hg.python.org/cpython/rev/27eda70c25b1

New changeset 65c39e9eb262 by Raymond Hettinger in branch 'default':
Issue 11718: Teach IDLE's open module dialog to find packages.
http://hg.python.org/cpython/rev/65c39e9eb262
msg133636 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-13 01:55
New changeset e391f7005b0f by Raymond Hettinger in branch '2.7':
Issue 11718: Teach IDLE's open module dialog to find packages.
http://hg.python.org/cpython/rev/e391f7005b0f
History
Date User Action Args
2011-04-13 02:02:35rhettingersetstatus: open -> closed
resolution: fixed
stage: resolved
2011-04-13 01:55:00python-devsetmessages: + msg133636
2011-04-13 01:35:45python-devsetnosy: + python-dev
messages: + msg133632
2011-04-02 00:26:38terry.reedysetnosy: + terry.reedy
messages: + msg132781
2011-03-30 00:39:47ned.deilysetnosy: + ned.deily

title: Teach IDLE's open-modue command to find packages -> Teach IDLE's open-module command to find packages
2011-03-30 00:23:06rhettingercreate